CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
cppcms::http::content_limits Class Reference

`#include <cppcms/http_content_filter.h>`

Inheritance diagram for cppcms::http::content_limits:

## Public Member Functions
long long | content_length_limit () const
void | content_length_limit (long long size)
long long | multipart_form_data_limit () const
void | multipart_form_data_limit (long long size)
size_t | file_in_memory_limit () const
void | file_in_memory_limit (size_t size)
std::string | uploads_path () const
void | uploads_path (std::string const &path)

## Friends
class | request

## Detailed Description

Class that represent the limits on the input content sizes

New in CppCMS 1.2

## Member Function Documentation

long long cppcms::http::content_limits::content_length_limit | ( |  | ) | const

Get the size limit in bytes of any non multipart/form-data content

Note form fields without content-type would be limited by this size even if the multipart_form_data_limit is much larger

void cppcms::http::content_limits::content_length_limit | ( | long long | size | ) |

Set the size limit of any non multipart/form-data content

Note form fields without content-type would be limited by this size even if the multipart_form_data_limit is much larger

size_t cppcms::http::content_limits::file_in_memory_limit | ( |  | ) | const

Get the maximal size of file that is still hold in memory rather than disk

void cppcms::http::content_limits::file_in_memory_limit | ( | size_t | size | ) |

Set the maximal size of file that is still hold in memory rather than disk

long long cppcms::http::content_limits::multipart_form_data_limit | ( |  | ) | const

Get the size limit of multipart/form-data content in bytes

Note form fields without content-type would be limited by content_length_limit size even if the multipart_form_data_limit is much larger

void cppcms::http::content_limits::multipart_form_data_limit | ( | long long | size | ) |

Set the size limit of multipart/form-data content in bytes

Note form fields without content-type would be limited by content_length_limit size even if the multipart_form_data_limit is much larger

std::string cppcms::http::content_limits::uploads_path | ( |  | ) | const

Get a location of a temporary directory that files are uploaded to, if empty system default is used

void cppcms::http::content_limits::uploads_path | ( | std::string const & | path | ) |

Set a location of a temporary directory that files are uploaded to, if empty system default is used

The documentation for this class was generated from the following file:

- cppcms/http_content_filter.h